Skip to content
Start here

Unrevoke devices (deprecated)

Deprecated
client.zeroTrust.devices.unrevoke.create(UnrevokeCreateParams { account_id, body } params, RequestOptionsoptions?): UnrevokeCreateResponse | null
POST/accounts/{account_id}/devices/unrevoke

Unrevokes a list of devices. Not supported when multi-user mode is enabled.

Deprecated: please use POST /accounts/{account_id}/devices/registrations/unrevoke instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
params: UnrevokeCreateParams { account_id, body }
account_id: string

Path param

body: Array<string>

Body param: A list of Registration IDs to unrevoke.

maxLength200
ReturnsExpand Collapse
UnrevokeCreateResponse = unknown | string | null
One of the following:
unknown
string

Unrevoke devices (deprecated)

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const unrevoke = await client.zeroTrust.devices.unrevoke.create({
  account_id: '699d98642c564d2e855e9661899b7252',
  body: ['f174e90a-fafe-4643-bbbc-4a0ed4fc8415'],
});

console.log(unrevoke);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}